Subject: Re: bug#26668: 11.90.2; separator in the toolbar remains vertical when I display toolbar on the left or right
From: Arash Esbati <[email-masked]>
To: Sureyya Sahin <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Apr 2017 13:20:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Sureyya Sahin <[email-masked]> writes:

> On Sat, 2017-04-29 at 07:34 +0200, Arash Esbati wrote:
>>
>> You can try this: Do `M-x customize-variable TeX-bar-LaTeX-buttons RET',
>> deselect `[separator nil]', save your changes, restart Emacs and try it
>> again.
>
> Then, I restarted emacs, enabled the tool-bar-mode and switched to
> latex-mode. Then, I issued the `M-x customize-variable
> TeX-bar-LaTeX-buttons RET', but it gave me the error for not being able
> to find the command.

Yes, sorry, my bad.  Of course I meant

`M-x customize-variable RET TeX-bar-LaTeX-buttons RET'

> I experimented a bit and figured the following works:
>
> 'M-x customize-variable RET TeX-bar-TeX-buttons RET'

I haven't tried it, but from the docstrings, I would have expected that
`TeX-bar-LaTeX-buttons' is the one to customize.

> Then, I deselected the `[separator nil]' thick box as you suggested and
> then I pressed 'Apply and Save' button. Restarting the emacs with
> latex-mode and enabling tool-bar-mode (I disable it by default to gain
> screen space), I can confirm that the vertical separator button has
> gone.
>
> I guess this is the workaround I was hoping to find; thank you so much
> for the help, I appreciate this.

You're welcome.  I'm glad you have it solved.  I close this report.

Best, Arash